"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const createEndpoints_1 = __importDefault(require("../utils/createEndpoints"));
const endpointBaseURL = 'account';
const endpoints = [
    {
        type: 'GET',
        endpoint: endpointBaseURL,
        name: 'getDetails',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/lists`,
        name: 'getCreatedList',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/favorite/movies`,
        name: 'getFavoriteMovies',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/favorite/tv`,
        name: 'getFavoriteTVShows',
    }, {
        type: 'POST',
        endpoint: `${endpointBaseURL}/{account_id}/favorite`,
        name: 'markAsFavorite',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/rated/movies`,
        name: 'getRatedMovies',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/rated/tv`,
        name: 'getRatedTVShows',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/rated/tv/episodes`,
        name: 'getRatedTVEpisodes',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/watchlist/movies`,
        name: 'getMovieWatchlist',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/{account_id}/watchlist/tv`,
        name: 'getTVShowWatchlist',
    }, {
        type: 'POST',
        endpoint: `${endpointBaseURL}/{account_id}/watchlist`,
        name: 'addToWatchlist',
    },
];
exports.default = createEndpoints_1.default(endpoints);
