"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const createEndpoints_1 = __importDefault(require("../utils/createEndpoints"));
const endpointBaseURL = 'authentication';
const endpoints = [
    {
        type: 'GET',
        endpoint: `${endpointBaseURL}/guest_session/new`,
        name: 'createGuestSession',
    }, {
        type: 'GET',
        endpoint: `${endpointBaseURL}/token/new`,
        name: 'createRequestToken',
    }, {
        type: 'POST',
        endpoint: `${endpointBaseURL}/session/new`,
        name: 'createSession',
    }, {
        type: 'POST',
        endpoint: `${endpointBaseURL}/token/validate_with_login`,
        name: 'createSessionWithLogin',
    }, {
        type: 'POST',
        endpoint: `${endpointBaseURL}/session/convert/4`,
        name: 'createSessionFromAccessToken',
    }, {
        type: 'DELETE',
        endpoint: `${endpointBaseURL}/session`,
        name: 'deleteSession',
    },
];
exports.default = createEndpoints_1.default(endpoints);
