"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const DataController_1 = __importDefault(require("./DataController"));
const accountEndpoint_1 = __importDefault(require("./endpoints/accountEndpoint"));
const authenticationEndpoint_1 = __importDefault(require("./endpoints/authenticationEndpoint"));
const certificationEndpoint_1 = __importDefault(require("./endpoints/certificationEndpoint"));
const collectionEndpoint_1 = __importDefault(require("./endpoints/collectionEndpoint"));
const companyEndpoint_1 = __importDefault(require("./endpoints/companyEndpoint"));
const configurationEndpoint_1 = __importDefault(require("./endpoints/configurationEndpoint"));
const creditEndpoint_1 = __importDefault(require("./endpoints/creditEndpoint"));
const discoverEndpoint_1 = __importDefault(require("./endpoints/discoverEndpoint"));
const findEndpoint_1 = __importDefault(require("./endpoints/findEndpoint"));
const genreEndpoint_1 = __importDefault(require("./endpoints/genreEndpoint"));
const guestSessionEndpoint_1 = __importDefault(require("./endpoints/guestSessionEndpoint"));
const keywordEndpoint_1 = __importDefault(require("./endpoints/keywordEndpoint"));
const listEndpoint_1 = __importDefault(require("./endpoints/listEndpoint"));
const movieEndpoint_1 = __importDefault(require("./endpoints/movieEndpoint"));
const networkEndpoint_1 = __importDefault(require("./endpoints/networkEndpoint"));
const trendingEndpoint_1 = __importDefault(require("./endpoints/trendingEndpoint"));
const personEndpoint_1 = __importDefault(require("./endpoints/personEndpoint"));
const reviewEndpoint_1 = __importDefault(require("./endpoints/reviewEndpoint"));
const searchEndpoint_1 = __importDefault(require("./endpoints/searchEndpoint"));
const tvEndpoint_1 = __importDefault(require("./endpoints/tvEndpoint"));
class MovieDB {
    constructor(apiKey, options) {
        var _a;
        this.account = accountEndpoint_1.default;
        this.authentication = authenticationEndpoint_1.default;
        this.certification = certificationEndpoint_1.default;
        this.collection = collectionEndpoint_1.default;
        this.company = companyEndpoint_1.default;
        this.configuration = configurationEndpoint_1.default;
        this.credit = creditEndpoint_1.default;
        this.discover = discoverEndpoint_1.default;
        this.find = findEndpoint_1.default;
        this.genre = genreEndpoint_1.default;
        this.guestSession = guestSessionEndpoint_1.default;
        this.keyword = keywordEndpoint_1.default;
        this.list = listEndpoint_1.default;
        this.movie = movieEndpoint_1.default;
        this.network = networkEndpoint_1.default;
        this.trending = trendingEndpoint_1.default;
        this.person = personEndpoint_1.default;
        this.review = reviewEndpoint_1.default;
        this.search = searchEndpoint_1.default;
        this.tv = tvEndpoint_1.default;
        const data = DataController_1.default.getInstance();
        data.set('apiKey', apiKey);
        data.set('language', (_a = options === null || options === void 0 ? void 0 : options.language) !== null && _a !== void 0 ? _a : 'en-US');
    }
    // eslint-disable-next-line class-methods-use-this
    setApiKey(apiKey) {
        DataController_1.default.getInstance().set('apiKey', apiKey);
    }
    // eslint-disable-next-line class-methods-use-this
    setLanguage(language) {
        DataController_1.default.getInstance().set('language', language);
    }
}
exports.default = MovieDB;
// For CommonJS default export support
module.exports = MovieDB;
module.exports.default = MovieDB;
