"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-extra-parens */
/* eslint-disable camelcase */
const got_1 = require("got");
const errors = __importStar(require("./errors"));
exports.default = (error) => {
    if (error instanceof got_1.HTTPError) {
        switch (error.response.statusCode) {
            case 400: {
                throw new errors.BadRequest();
            }
            case 401: {
                const { status_code, status_message, } = error.response.body;
                throw new errors.UnauthorizedError(status_code, status_message);
            }
            case 404: {
                const { status_code, status_message, } = error.response.body;
                throw new errors.NotFoundError(status_code, status_message);
            }
            case 408: {
                throw new errors.RequestTimeout();
            }
            default: break;
        }
    }
};
